Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface VersionMetadata

All Superinterfaces:
  Metadata

    public interface VersionMetadata

extends Metadata

Represents versioning of a class.

Since:
  3.0

Method Summary
`java.lang.String` | `getColumn()` Accessor for the version column name
`ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the version.
`Indexed` | `getIndexed()` Accessor for whether indexed (true|false|unique)
`IndexMetadata` | `getIndexMetadata()` Accessor for any index metadata on this version
`int` | `getNumberOfColumns()` Accessor for the number of columns defined for this version.
`VersionStrategy` | `getStrategy()` Accessor for the version strategy.
`ColumnMetadata` | `newColumnMetadata()` Add a new column for this version.
`IndexMetadata` | `newIndexMetadata()` Method to set index metadata for the version
`VersionMetadata` | `setColumn(java.lang.String column)` Method to set the version column name.
`VersionMetadata` | `setIndexed(Indexed indexed)` Method to set whether indexed.
`VersionMetadata` | `setStrategy(VersionStrategy strategy)` Method to set the version strategy.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setStrategy

    VersionMetadata setStrategy(VersionStrategy strategy)

  Method to set the version strategy.

  Parameters:
    `strategy` - The strategy

### getStrategy

    VersionStrategy getStrategy()

  Accessor for the version strategy.

  Returns:
    The strategy

### setColumn

    VersionMetadata setColumn(java.lang.String column)

  Method to set the version column name.

  Parameters:
    `column` - Name of the version clumn

### getColumn

    java.lang.String getColumn()

  Accessor for the version column name

  Returns:
    The version column name

### setIndexed

    VersionMetadata setIndexed(Indexed indexed)

  Method to set whether indexed.

  Parameters:
    `indexed` - Whether indexed (true | false | unique)

### getIndexed

    Indexed getIndexed()

  Accessor for whether indexed (true|false|unique)

  Returns:
    Indexed?

### getColumns

    ColumnMetadata[] getColumns()

  Accessor for all column(s) defined on the version.

  Returns:
    The column(s)

### newColumnMetadata

    ColumnMetadata newColumnMetadata()

  Add a new column for this version.

  Returns:
    The ColumnMetadata

### getNumberOfColumns

    int getNumberOfColumns()

  Accessor for the number of columns defined for this version.

  Returns:
    The number of columns

### newIndexMetadata

    IndexMetadata newIndexMetadata()

  Method to set index metadata for the version

  Returns:
    The IndexMetadata

### getIndexMetadata

    IndexMetadata getIndexMetadata()

  Accessor for any index metadata on this version

  Returns:
    Index metadata

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.